import enum, functools
from common.proto.app_pb2 import QKDAppTypesEnum
from ._GrpcToEnum import grpc_to_enum

class ORM_QKDAppTypesEnum(enum.Enum):
    INTERNAL = QKDAppTypesEnum.QKDAPPTYPES_INTERNAL
    CLIENT   = QKDAppTypesEnum.QKDAPPTYPES_CLIENT


grpc_to_enum__qkd_app_types = functools.partial(
    grpc_to_enum, QKDAppTypesEnum, ORM_QKDAppTypesEnum)
